library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
use work.divlib.all;

package newton_reci_table is

  constant q : natural := 16;
  constant k : natural := 8;
  constant g : natural := 2;
  constant u : natural := 0;
  constant m : natural := 3;

  subtype depthP is std_logic_vector(k+1 downto 0);
  subtype depthN is std_logic_vector(m downto 0);

  type look_up_tableP is array(2**(2*m+u+1) to 2**(2*m+u+2)-1) of depthP;
  type look_up_tableN is array(2**(2*m+u+1) to 2**(2*m+u+2)-1) of depthN;

  procedure init_look_up_table(tableP : inout look_up_tableP; tableN : inout look_up_tableN);
end newton_reci_table;